From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-block/open-isns/
Date: Wed, 10 Feb 2021 22:21:33 +0000 (UTC) [thread overview]
Message-ID: <1612995686.b824b11b826dbe98cbbbca8139c0df95f2b7777a.whissi@gentoo> (raw)
commit: b824b11b826dbe98cbbbca8139c0df95f2b7777a
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 10 22:21:14 2021 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Feb 10 22:21:26 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b824b11b
sys-block/open-isns: bump to v0.101
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
sys-block/open-isns/Manifest | 1 +
sys-block/open-isns/open-isns-0.101.ebuild | 55 ++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/sys-block/open-isns/Manifest b/sys-block/open-isns/Manifest
index 7aa31df83d2..0bf01cc956e 100644
--- a/sys-block/open-isns/Manifest
+++ b/sys-block/open-isns/Manifest
@@ -1,3 +1,4 @@
DIST open-isns-0.100.tar.gz 300611 BLAKE2B a40e8d2bd6e5ac8ed8475d3d50ed6256871134547a044a6b51102ad47c66c335f06372b29e5585df4e59ecd7a817e5f2e48c5e944eea31333ab9f45d51040306 SHA512 ccf49ba1c60d46ae49b75424a966abc1f7e104c8ffa13013951a58a8f0ccaa1cf550f24fd2743fcaba1211a0ec8033c5df5249b7a108ae5974d4f1144dd3b169
+DIST open-isns-0.101.tar.gz 301912 BLAKE2B 98c9c36640ee4d3796538a00e7ab2e4cfb057abc66a56d27ce2eb133d591ea87bcb0e4ffb31b6d72d8e8c806edffb65600c0ae7cd63c61058f36037e3db79214 SHA512 e5a392127b0d85f36e9e4aa963c0c502af8c5aea0aba6d12abb4425649969dcc20ba6e87a99083626d981438439b17b71a86320f816042d82ed5dbe7e7a63e77
DIST open-isns-0.98.tar.gz 278410 BLAKE2B f90df85de4d5fd2abdcd267e3c873dff62fcac523ee280e21def057eca366bbba21c2b3bfbf5cc0798b8d0f3b0d5028ebb49000cccc850abdfb85142a7b66c34 SHA512 04263b9ace9d272f4e3776c4e1a034815475590d4b4864217a6200fcd5baea391cd788723db3c17fe0d764efc9769a70a3d2167b00e5998fb4bcb8d5fe2547ed
DIST open-isns-0.99.tar.gz 282831 BLAKE2B 7140daf08fda894bcbed3e25b122909ad0ed86b4f3db2e42a23b97480dea554194d2a33a3ebdf4e2017a57c2023dd8589f2e2fcfa60470cc3a6a3fbfb0d0ccbc SHA512 90a2297535c5e939f83c761173ce5f5f88e68adc31e41e833b23d07b6dc6959572ae7184db0084b861918199a877b251ebae4b4a7456fdd8c93400dc8457adc9
diff --git a/sys-block/open-isns/open-isns-0.101.ebuild b/sys-block/open-isns/open-isns-0.101.ebuild
new file mode 100644
index 00000000000..96ec16b185b
--- /dev/null
+++ b/sys-block/open-isns/open-isns-0.101.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="iSNS server and client for Linux"
+HOMEPAGE="https://github.com/open-iscsi/open-isns"
+SRC_URI="https://github.com/open-iscsi/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug libressl ssl static"
+
+DEPEND="
+ ssl? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.98-libressl-compatibility.patch"
+
+ "${FILESDIR}/${PN}-0.100-respect-AR.patch"
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ use debug && append-cppflags -DDEBUG_TCP -DDEBUG_SCSI
+ append-lfs-flags
+ local myeconfargs=(
+ --without-slp
+ $(use_with ssl security)
+ $(use_enable !static shared)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ emake DESTDIR="${D}" install_hdrs
+ emake DESTDIR="${D}" install_lib
+ keepdir /var/lib/${PN/open-}
+ if ! use static ; then
+ find "${ED}" -type f -name "*.a" -delete || die
+ fi
+}
next reply other threads:[~2021-02-10 22:21 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-02-10 22:21 Thomas Deutschmann [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-08 1:37 [gentoo-commits] repo/gentoo:master commit in: sys-block/open-isns/ Sam James
2023-04-29 8:48 Sam James
2023-04-23 22:34 Sam James
2023-04-23 21:12 Jakov Smolić
2023-04-23 20:32 Sam James
2023-04-23 20:22 Sam James
2023-04-23 20:10 Sam James
2023-04-23 19:53 Sam James
2023-03-23 8:59 Sam James
2022-04-07 20:58 Jakov Smolić
2021-09-04 17:35 David Seifert
2021-08-13 21:54 Sam James
2021-08-11 0:24 Sam James
2021-08-11 0:12 Sam James
2021-08-11 0:02 Sam James
2021-08-10 15:36 Agostino Sarubbo
2021-05-02 16:12 Mikle Kolyada
2021-03-26 18:36 Sam James
2021-03-15 12:32 Lars Wendler
2020-08-13 3:09 Matthew Thode
2019-05-06 12:54 Lars Wendler
2018-04-23 0:24 Aaron Bauman
2018-04-04 22:26 Sergei Trofimovich
2018-03-23 0:02 Sergei Trofimovich
2018-03-18 23:19 Sergei Trofimovich
2018-02-20 8:18 Sergei Trofimovich
2017-12-03 1:38 Thomas Deutschmann
2017-07-30 8:36 Michał Górny
2017-06-19 18:12 Alexis Ballier
2017-01-02 18:50 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1612995686.b824b11b826dbe98cbbbca8139c0df95f2b7777a.whissi@gentoo \
--to=whissi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox